Bug 1250801 - [abrt] WARNING: CPU: 1 PID: 1976 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]() [i915]
[abrt] WARNING: CPU: 1 PID: 1976 at drivers/gpu/drm/i915/intel_uncore.c:566 h...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:699e4637fb59fa84b0bf8620cb0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 23:47 EDT by Gabriel Carvalho
Modified: 2016-07-19 13:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (64.35 KB, text/plain)
2015-08-05 23:47 EDT, Gabriel Carvalho
no flags Details

  None (edit)
Description Gabriel Carvalho 2015-08-05 23:47:42 EDT
Description of problem:
after 15 min of inactivity the computer suspend and the problem occours with this message.

Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 1 PID: 1976 at drivers/gpu/drm/i915/intel_uncore.c:566 hsw_unclaimed_reg_debug+0x79/0xa0 [i915]()
Unclaimed register detected before reading register 0x130040
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep cpufreq_stats arc4 snd_soc_rt5640 iwlmvm snd_soc_rl6231 intel_rapl iosf_mbi mac80211 x86_pkg_temp_thermal coretemp iTCO_wdt kvm_intel kvm asus_nb_wmi iwlwifi iTCO_vendor_support asus_wmi sparse_keymap snd_soc_core btusb snd_hda_codec_hdmi uvcvideo btbcm vfat fat snd_hda_codec_conexant
 crct10dif_pclmul snd_hda_codec_generic btintel snd_compress crc32_pclmul snd_pcm_dmaengine cfg80211 bluetooth snd_hda_intel crc32c_intel snd_hda_controller snd_hda_codec videobuf2_vmalloc videobuf2_core snd_hda_core ghash_clmulni_intel snd_hwdep snd_seq snd_seq_device videobuf2_memops v4l2_common snd_pcm videodev snd_timer media lpc_ich mei_me snd mfd_core mei shpchp rfkill i2c_i801 regmap_i2c soundcore wmi processor_thermal_device int3403_thermal dw_dmac i2c_designware_platform dw_dmac_core i2c_designware_core snd_soc_sst_acpi acpi_pad int3400_thermal tpm_crb acpi_thermal_rel tpm int3402_thermal int340x_thermal_zone nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm serio_raw sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 1 PID: 1976 Comm: gnome-shell Not tainted 4.1.3-201.fc22.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. UX305FA/UX305FA, BIOS UX305FA.210 05/19/2015
 0000000000000000 000000004db071fa ffff8800c5f6b9a8 ffffffff8179b4bd
 0000000000000000 ffff8800c5f6ba00 ffff8800c5f6b9e8 ffffffff810a163a
 ffff8800c5f6b9b8 ffff880212070000 0000000000130040 ffff880212a1e800
Call Trace:
 [<ffffffff8179b4bd>] dump_stack+0x45/0x57
 [<ffffffff810a163a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16c5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0134839>] hsw_unclaimed_reg_debug+0x79/0xa0 [i915]
 [<ffffffffa0136e36>] gen6_read32+0x56/0x190 [i915]
 [<ffffffffa01575c6>] hsw_disable_pc8+0x36/0x2e0 [i915]
 [<ffffffffa00e6190>] intel_runtime_resume+0x170/0x1d0 [i915]
 [<ffffffff813f9fbf>] pci_pm_runtime_resume+0x7f/0xc0
 [<ffffffff814f62b5>] __rpm_callback+0x35/0x90
 [<ffffffff814f6338>] rpm_callback+0x28/0x90
 [<ffffffff814f6caa>] rpm_resume+0x47a/0x650
 [<ffffffff8120b42f>] ? __slab_free+0xbf/0x260
 [<ffffffff814f7cae>] __pm_runtime_resume+0x4e/0x80
 [<ffffffffa00f57c5>] intel_runtime_pm_get+0x55/0x80 [i915]
 [<ffffffffa0113af9>] i915_gem_free_object+0x29/0x330 [i915]
 [<ffffffffa0060417>] drm_gem_object_free+0x27/0x40 [drm]
 [<ffffffffa00609a8>] drm_gem_object_handle_unreference_unlocked+0x118/0x130 [drm]
 [<ffffffffa0060a66>] drm_gem_handle_delete+0xa6/0x100 [drm]
 [<ffffffffa0061100>] drm_gem_close_ioctl+0x20/0x30 [drm]
 [<ffffffffa00619df>] drm_ioctl+0x12f/0x620 [drm]
 [<ffffffff8120b500>] ? __slab_free+0x190/0x260
 [<ffffffffa00610e0>] ? drm_gem_handle_create+0x50/0x50 [drm]
 [<ffffffffa0067347>] ? drm_vm_close_locked+0x77/0xb0 [drm]
 [<ffffffff8120b9a6>] ? kfree+0x146/0x160
 [<ffffffff8123fcb6>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff8123ff41>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a1a6e>] system_call_fastpath+0x12/0x71
Comment 1 Gabriel Carvalho 2015-08-05 23:47:48 EDT
Created attachment 1059708 [details]
File: dmesg
Comment 2 iceblox 2015-10-30 05:07:51 EDT
Description of problem:
I don't know what triggered this issue as I was away from the machine with the screen locked and only a gnome-terminal running.

However I set a few option using powertop:

# Enable SATA link power management for host0 
/sys/class/scsi_host/host0/link_power_management_policy=min_power

# Enable SATA link power management for host1 
/sys/class/scsi_host/host1/link_power_management_policy=min_power

# Autosuspend for unknown USB device 1-4 (8087:0a2a) 
/sys/bus/usb/devices/1-4/power/control=auto

# Autosuspend for USB device USB 10/100/1000 LAN [Realtek] 
/sys/bus/usb/devices/2-2/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP PCI Express Root Port #1 
/sys/bus/pci/devices/0000:00:1c.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Broadwell-U Host Bridge -OPI 
/sys/bus/pci/devices/0000:00:00.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated Graphics 
/sys/bus/pci/devices/0000:00:02.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Broadwell-U Audio Controller 
/sys/bus/pci/devices/0000:00:03.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP USB xHCI Controller 
/sys/bus/pci/devices/0000:00:14.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP MEI Controller #1 
/sys/bus/pci/devices/0000:00:16.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP High Definition Audio Controller 
/sys/bus/pci/devices/0000:00:1b.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP PCI Express Root Port #4 
/sys/bus/pci/devices/0000:00:1c.3/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP LPC Controller 
/sys/bus/pci/devices/0000:00:1f.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] 
/sys/bus/pci/devices/0000:00:1f.2/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP SMBus Controller 
/sys/bus/pci/devices/0000:00:1f.3/power/control=auto

# Runtime PM for PCI Device Intel Corporation Wireless 7265 
/sys/bus/pci/devices/0000:02:00.0/power/control=auto

# Runtime PM for PCI Device Intel Corporation Broadwell-U Camarillo Device 
/sys/bus/pci/devices/0000:00:04.0/power/control=auto

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.3-200.fc22.x86_64 root=/dev/mapper/hisi-root ro rd.lvm.lv=hisi/swap rd.luks.uuid=luks-8a1cd715-cc57-40fa-9285-90b47569600c rd.lvm.lv=hisi/root rhgb quiet resume=/dev/disk/by-uuid/ecd1672b-89c9-4f93-8389-f4f0e7c98a23
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2496 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_unclaimed_reg_debug+0x6d/0x90 [i915]()
Unclaimed register detected before reading register 0x130040
Modules linked in: cpufreq_stats rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 intel_rapl iwlmvm x86_pkg_temp_thermal snd_soc_rt5640 coretemp snd_soc_rl6231 mac80211 kvm_intel vfat iTCO_wdt fat iTCO_vendor_support snd_hda_codec_conexant snd_soc_core snd_hda_codec_generic snd_hda_codec_hdmi asus_nb_wmi asus_wmi sparse_keymap snd_hda_intel iwlwifi
 snd_hda_codec kvm uvcvideo snd_compress snd_pcm_dmaengine ac97_bus snd_hda_core snd_hwdep snd_seq videobuf2_vmalloc cfg80211 videobuf2_core snd_seq_device btusb btrtl btbcm btintel bluetooth videobuf2_memops v4l2_common snd_pcm videodev media mei_me processor_thermal_device rfkill mei lpc_ich intel_soc_dts_iosf shpchp snd_timer iosf_mbi i2c_i801 snd wmi dw_dmac int3403_thermal int3400_thermal dw_dmac_core snd_soc_sst_acpi soundcore acpi_als acpi_thermal_rel int3402_thermal int340x_thermal_zone i2c_designware_platform kfifo_buf i2c_designware_core tpm_crb tpm industrialio acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel drm ghash_clmulni_intel serio_raw r8152 mii sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 2496 Comm: gnome-shell Not tainted 4.2.3-200.fc22.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. UX305FA/UX305FA, BIOS UX305FA.210 05/19/2015
 0000000000000000 0000000004237b23 ffff88021341f998 ffffffff8177220a
 0000000000000000 ffff88021341f9f0 ffff88021341f9d8 ffffffff8109e4a6
 ffff88021341f9a8 ffff8802122b0000 0000000000130040 ffff8800d9674000
Call Trace:
 [<ffffffff8177220a>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa017139d>] hsw_unclaimed_reg_debug+0x6d/0x90 [i915]
 [<ffffffffa0173849>] gen6_read32+0x59/0x180 [i915]
 [<ffffffffa0194c36>] hsw_disable_pc8+0x36/0x2a0 [i915]
 [<ffffffffa0124043>] intel_runtime_resume+0x93/0x1e0 [i915]
 [<ffffffff813e5acf>] pci_pm_runtime_resume+0x7f/0xb0
 [<ffffffff813e5a50>] ? pci_restore_standard_config+0x50/0x50
 [<ffffffff814d9a77>] __rpm_callback+0x27/0x70
 [<ffffffff813e5a50>] ? pci_restore_standard_config+0x50/0x50
 [<ffffffff814d9ae8>] rpm_callback+0x28/0x90
 [<ffffffff813e5a50>] ? pci_restore_standard_config+0x50/0x50
 [<ffffffff814da3ea>] rpm_resume+0x44a/0x650
 [<ffffffff814db3ae>] __pm_runtime_resume+0x4e/0x70
 [<ffffffffa0133a8f>] intel_runtime_pm_get+0x4f/0x80 [i915]
 [<ffffffffa0152209>] i915_gem_free_object+0x29/0x310 [i915]
 [<ffffffff81231f80>] ? poll_select_copy_remaining+0x140/0x140
 [<ffffffffa0089047>] drm_gem_object_free+0x27/0x30 [drm]
 [<ffffffffa008942e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
 [<ffffffffa00894e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
 [<ffffffff8121fddc>] ? get_empty_filp+0x5c/0x1c0
 [<ffffffffa0089b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
 [<ffffffffa008a365>] drm_ioctl+0x125/0x610 [drm]
 [<ffffffff81329efc>] ? selinux_file_alloc_security+0x3c/0x60
 [<ffffffffa0089b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
 [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231509>] SyS_ioctl+0x79/0x90
 [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 3 Gabriel Carvalho 2015-10-30 16:51:58 EDT
Well, I don't know for sure but this annoying bug only happens when _Intel's Powertop_ is in use. I did some tests and I could find that when activated as a unit of SystemD Powertop starts with --auto-tune option that triggers this bug. I tested various combinations in "Tunables" tab in Powertop and I could find that only when "Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated Graphics" is set to _auto_ (what gets a "good" label in Powertop) this bug happens.

Some light here would be nice!
Comment 4 Gabriel Carvalho 2015-10-30 17:09:06 EDT
(In reply to iceblox from comment #2)
> Description of problem:
> I don't know what triggered this issue as I was away from the machine with
> the screen locked and only a gnome-terminal running.
> 
> However I set a few option using powertop:
> 
> # Enable SATA link power management for host0 
> /sys/class/scsi_host/host0/link_power_management_policy=min_power
> 
> # Enable SATA link power management for host1 
> /sys/class/scsi_host/host1/link_power_management_policy=min_power
> 
> # Autosuspend for unknown USB device 1-4 (8087:0a2a) 
> /sys/bus/usb/devices/1-4/power/control=auto
> 
> # Autosuspend for USB device USB 10/100/1000 LAN [Realtek] 
> /sys/bus/usb/devices/2-2/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP PCI Express
> Root Port #1 
> /sys/bus/pci/devices/0000:00:1c.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Broadwell-U Host Bridge -OPI 
> /sys/bus/pci/devices/0000:00:00.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated
> Graphics 
> /sys/bus/pci/devices/0000:00:02.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Broadwell-U Audio Controller 
> /sys/bus/pci/devices/0000:00:03.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP USB xHCI
> Controller 
> /sys/bus/pci/devices/0000:00:14.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP MEI
> Controller #1 
> /sys/bus/pci/devices/0000:00:16.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP High
> Definition Audio Controller 
> /sys/bus/pci/devices/0000:00:1b.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP PCI Express
> Root Port #4 
> /sys/bus/pci/devices/0000:00:1c.3/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP LPC
> Controller 
> /sys/bus/pci/devices/0000:00:1f.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP SATA
> Controller [AHCI Mode] 
> /sys/bus/pci/devices/0000:00:1f.2/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wildcat Point-LP SMBus
> Controller 
> /sys/bus/pci/devices/0000:00:1f.3/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Wireless 7265 
> /sys/bus/pci/devices/0000:02:00.0/power/control=auto
> 
> # Runtime PM for PCI Device Intel Corporation Broadwell-U Camarillo Device 
> /sys/bus/pci/devices/0000:00:04.0/power/control=auto
> 
> Version-Release number of selected component:
> kernel
> 
> Additional info:
> reporter:       libreport-2.6.3
> cmdline:        BOOT_IMAGE=/vmlinuz-4.2.3-200.fc22.x86_64
> root=/dev/mapper/hisi-root ro rd.lvm.lv=hisi/swap
> rd.luks.uuid=luks-8a1cd715-cc57-40fa-9285-90b47569600c rd.lvm.lv=hisi/root
> rhgb quiet resume=/dev/disk/by-uuid/ecd1672b-89c9-4f93-8389-f4f0e7c98a23
> kernel:         4.2.3-200.fc22.x86_64
> runlevel:       N 5
> type:           Kerneloops
> 
> Truncated backtrace:
> WARNING: CPU: 0 PID: 2496 at drivers/gpu/drm/i915/intel_uncore.c:620
> hsw_unclaimed_reg_debug+0x6d/0x90 [i915]()
> Unclaimed register detected before reading register 0x130040
> Modules linked in: cpufreq_stats rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE
> nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast
> ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat
> ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat
> nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle
> ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat
> nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack
> iptable_mangle iptable_security iptable_raw bnep arc4 intel_rapl iwlmvm
> x86_pkg_temp_thermal snd_soc_rt5640 coretemp snd_soc_rl6231 mac80211
> kvm_intel vfat iTCO_wdt fat iTCO_vendor_support snd_hda_codec_conexant
> snd_soc_core snd_hda_codec_generic snd_hda_codec_hdmi asus_nb_wmi asus_wmi
> sparse_keymap snd_hda_intel iwlwifi
>  snd_hda_codec kvm uvcvideo snd_compress snd_pcm_dmaengine ac97_bus
> snd_hda_core snd_hwdep snd_seq videobuf2_vmalloc cfg80211 videobuf2_core
> snd_seq_device btusb btrtl btbcm btintel bluetooth videobuf2_memops
> v4l2_common snd_pcm videodev media mei_me processor_thermal_device rfkill
> mei lpc_ich intel_soc_dts_iosf shpchp snd_timer iosf_mbi i2c_i801 snd wmi
> dw_dmac int3403_thermal int3400_thermal dw_dmac_core snd_soc_sst_acpi
> soundcore acpi_als acpi_thermal_rel int3402_thermal int340x_thermal_zone
> i2c_designware_platform kfifo_buf i2c_designware_core tpm_crb tpm
> industrialio acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt
> i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel
> drm ghash_clmulni_intel serio_raw r8152 mii sdhci_acpi sdhci mmc_core video
> i2c_hid
> CPU: 0 PID: 2496 Comm: gnome-shell Not tainted 4.2.3-200.fc22.x86_64 #1
> Hardware name: ASUSTeK COMPUTER INC. UX305FA/UX305FA, BIOS UX305FA.210
> 05/19/2015
>  0000000000000000 0000000004237b23 ffff88021341f998 ffffffff8177220a
>  0000000000000000 ffff88021341f9f0 ffff88021341f9d8 ffffffff8109e4a6
>  ffff88021341f9a8 ffff8802122b0000 0000000000130040 ffff8800d9674000
> Call Trace:
>  [<ffffffff8177220a>] dump_stack+0x45/0x57
>  [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
>  [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
>  [<ffffffffa017139d>] hsw_unclaimed_reg_debug+0x6d/0x90 [i915]
>  [<ffffffffa0173849>] gen6_read32+0x59/0x180 [i915]
>  [<ffffffffa0194c36>] hsw_disable_pc8+0x36/0x2a0 [i915]
>  [<ffffffffa0124043>] intel_runtime_resume+0x93/0x1e0 [i915]
>  [<ffffffff813e5acf>] pci_pm_runtime_resume+0x7f/0xb0
>  [<ffffffff813e5a50>] ? pci_restore_standard_config+0x50/0x50
>  [<ffffffff814d9a77>] __rpm_callback+0x27/0x70
>  [<ffffffff813e5a50>] ? pci_restore_standard_config+0x50/0x50
>  [<ffffffff814d9ae8>] rpm_callback+0x28/0x90
>  [<ffffffff813e5a50>] ? pci_restore_standard_config+0x50/0x50
>  [<ffffffff814da3ea>] rpm_resume+0x44a/0x650
>  [<ffffffff814db3ae>] __pm_runtime_resume+0x4e/0x70
>  [<ffffffffa0133a8f>] intel_runtime_pm_get+0x4f/0x80 [i915]
>  [<ffffffffa0152209>] i915_gem_free_object+0x29/0x310 [i915]
>  [<ffffffff81231f80>] ? poll_select_copy_remaining+0x140/0x140
>  [<ffffffffa0089047>] drm_gem_object_free+0x27/0x30 [drm]
>  [<ffffffffa008942e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110
> [drm]
>  [<ffffffffa00894e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
>  [<ffffffff8121fddc>] ? get_empty_filp+0x5c/0x1c0
>  [<ffffffffa0089b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
>  [<ffffffffa008a365>] drm_ioctl+0x125/0x610 [drm]
>  [<ffffffff81329efc>] ? selinux_file_alloc_security+0x3c/0x60
>  [<ffffffffa0089b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
>  [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
>  [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
>  [<ffffffff81231509>] SyS_ioctl+0x79/0x90
>  [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71

Try change this tunable:
"Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated Graphics /sys/bus/pci/devices/0000:00:02.0/power/control=auto" to "Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated Graphics /sys/bus/pci/devices/0000:00:02.0/power/control=on"
and let your screen sleep for some time to see what happens.

PS: Sometimes this bug doesn't appear in Problem Reporting so you have to see your dmesg to know for sure.
Comment 5 Yaniv Kaul 2015-10-30 17:09:34 EDT
Confirming as well that it happens when powertop is on. I'm using it as well.
Comment 6 Gabriel Carvalho 2015-10-30 19:03:35 EDT
As a workaround I suggest:

1 - Disable powertop unit and reboot the machine;

2 - Run 
    $ sudo powertop --html;

3 - With the information available in the "Tuning" tab, "Software Settings in Need of Tuning" section, you have to create a script and put in /etc/init.d/ directory. This is the example of my script (pay atentions because /sys/bus/pci/devices/0000:00:02.0/power/control is set to **on** not *auto*, AFAIK the root of this bug):

-----------------------------------------------------------------------------
#!/bin/sh
# chkconfig: 5 20 80

# Source function library.
. /etc/init.d/functions

# Enable SATA link power management for host0
echo 'min_power' > '/sys/class/scsi_host/host0/link_power_management_policy'

# Enable SATA link power management for host1
echo 'min_power' > '/sys/class/scsi_host/host1/link_power_management_policy'

# Enable Audio codec power management
echo '1' > '/sys/module/snd_hda_intel/parameters/power_save'

# Autosuspend for unknown USB device 1-4 (8087:0a2a)
echo 'auto' > '/sys/bus/usb/devices/1-4/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP LPC Controller
echo 'auto' > '/sys/bus/pci/devices/0000:00:1f.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wireless 7265
echo 'auto' > '/sys/bus/pci/devices/0000:02:00.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP SMBus Controller
echo 'auto' > '/sys/bus/pci/devices/0000:00:1f.3/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode]
echo 'auto' > '/sys/bus/pci/devices/0000:00:1f.2/power/control'

# Runtime PM for PCI Device Intel Corporation Broadwell-U Host Bridge -OPI
echo 'auto' > '/sys/bus/pci/devices/0000:00:00.0/power/control'

# Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated Graphics
echo 'on' > '/sys/bus/pci/devices/0000:00:02.0/power/control'

# Runtime PM for PCI Device Intel Corporation Broadwell-U Audio Controller
echo 'auto' > '/sys/bus/pci/devices/0000:00:03.0/power/control'

# Runtime PM for PCI Device Intel Corporation Broadwell-U Camarillo Device
echo 'auto' > '/sys/bus/pci/devices/0000:00:04.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP USB xHCI Controller
echo 'auto' > '/sys/bus/pci/devices/0000:00:14.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP MEI Controller #1
echo 'auto' > '/sys/bus/pci/devices/0000:00:16.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP High Definition Audio Controller
echo 'auto' > '/sys/bus/pci/devices/0000:00:1b.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP PCI Express Root Port #1
echo 'auto' > '/sys/bus/pci/devices/0000:00:1c.0/power/control'

# Runtime PM for PCI Device Intel Corporation Wildcat Point-LP PCI Express Root Port #4
echo 'auto' > '/sys/bus/pci/devices/0000:00:1c.3/power/control'

exit 0
-------------------------------------------------------------------------------

4 - I named this script as "powersave" [/etc/init.d/powersave] ... so start/verify it with:

    $ sudo chkconfig powersave on
    $ sudo chkconfig --list

5 - The last step is to ensure that the script started with the system and all your tunes are activated.
  $ sudo powertop
And  in the Tunables tab the only "bad" device should be "Runtime PM for PCI Device Intel Corporation Broadwell-U Integrated Graphics".

Do your tests and give feedback to see if it solves the problem. Thanks!

Attention: This script was made for a Asus UX305.
Comment 7 iceblox 2015-11-02 03:48:43 EST
Works for me when putting the device back to on instead of auto. However battery runtime is not as good then. But it's a valid workaround in my opinion.
Comment 8 Fedora End Of Life 2016-07-19 13:22:37 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.